GitLab sidekiq测试失败[英] GitLab sidekiq failing test

本文是小编为大家收集整理的关于GitLab sidekiq测试失败的处理方法,想解了GitLab sidekiq测试失败的问题怎么解决?GitLab sidekiq测试失败问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

我正在按照这里的说明进行操作:

https://github.com/gitlabhq/gitlabhq/blob/4-1-stable/doc/install/databases.md

当我尝试运行测试时:

sudo -u gitlab -H bundle exec rake gitlab:env:info RAILS_ENV=production
sudo -u gitlab -H bundle exec rake gitlab:check RAILS_ENV=production

第一个测试返回橙色标题,第二个测试显示 Sidekiq 错误:

Checking Sidekiq ...    

Running? ... no
  Try fixing it:
  sudo -u gitlab -H bundle exec rake sidekiq:start
  For more information see:
  doc/install/installation.md in section "Install Init Script"
  see log/sidekiq.log for possible errors
  Please fix the error above and rerun the checks.
Checking Sidekiq ... Finished

当我运行 sudo -u gitlab -H bundle exec rake sidekiq:start 时,我收到以下错误:

rake aborted!
cannot load such file -- rb-inotify
/home/gitlab/gitlab/config/application.rb:9:in `<top (required)>'
/home/gitlab/gitlab/Rakefile:5:in `require'
/home/gitlab/gitlab/Rakefile:5:in `<top (required)>'
(See full trace by running task with --trace)

当我运行跟踪时,我得到以下输出:

rake aborted!
cannot load such file -- rb-inotify
/usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.2.3/lib/bundler/runtime.rb:68:in `require'
/usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.2.3/lib/bundler/runtime.rb:68:in `block (2     levels) in require'
/usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.2.3/lib/bundler/runtime.rb:66:in `each'
/usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.2.3/lib/bundler/runtime.rb:66:in `block in require'
/usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.2.3/lib/bundler/runtime.rb:55:in `each'
/usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.2.3/lib/bundler/runtime.rb:55:in `require'
/usr/local/lib/ruby/gems/1.9.1/gems/bundler-1.2.3/lib/bundler.rb:128:in `require'
/home/gitlab/gitlab/config/application.rb:9:in `<top (required)>'
/home/gitlab/gitlab/Rakefile:5:in `require'
/home/gitlab/gitlab/Rakefile:5:in `<top (required)>'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/gems/rake-10.0.3/lib/rake/rake_module.rb:25:in `load'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/gems/rake-10.0.3/lib/rake/rake_module.rb:25:in `load_rakefile'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:583:in `raw_load_rakefile'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:89:in `block in load_rakefile'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:160:in `standard_exception_handling'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:88:in `load_rakefile'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:72:in `block in run'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:160:in `standard_exception_handling'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/gems/rake-10.0.3/lib/rake/application.rb:70:in `run'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/gems/rake-10.0.3/bin/rake:33:in `<top (required)>'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/bin/rake:23:in `load'
/home/gitlab/gitlab/vendor/bundle/ruby/1.9.1/bin/rake:23:in `<main>'

我已经尝试手动安装 rb-inotify 来纠正这个问题:

sudo gem install rb-inotify

说是成功了,但是测试还是不行!请指教!谢谢

推荐答案

那种命令:

 sudo -u gitlab -H bundle exec rake sidekiq:start

不仅需要在gitlab克隆的repo中运行,还需要一个RAILS_ENV=production才能正常运行:

 sudo -u gitlab -H bundle exec rake sidekiq:start RAILS_ENV=production

请参阅疑难解答页面:

<块引用>
  • Error:运行 rake 时的 no such file to load -- rb-inotify(见 #1752)
  • Problem:任务在错误的环境中运行
  • Solution:在命令末尾添加RAILS_ENV=production

本文地址:https://www.itbaoku.cn/post/786551.html